cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Python 2.0 extension

subashsagi41
Frequent Guest

Hi,

I recently tried to create a python based extension, and everything went fine, resolved many issues but during the deployment I see the below messages in the log file

2024-07-03 19:18:18.245 UTC [0000049c] info [native] Rejected fastcheck for task f_7232207845354319405236535 -
2024-07-03 19:18:18.599 UTC [000003a9] info [native] Fastcheck f_7232207812345245236535 for datasource python ended with code -1: N/A

Also I see this message, not sure if it is a warning or error as it is confusing.

 error: WARNING: pyjwt 1.1.0 does not provide the extra 'crypto'

But in other line it mentioned that the versions are satisfied

 Requirement already satisfied: PyJWT<2,>=1.0.0 in /var/lib/dynatrace/remotepluginmodule/agent/runtime/extensions/python_venvs/custom_dt-gen2-powerbi-utility_0.0.1/lib/python3.10/site-packages (from PyJWT[crypto]<2,>=1.0.0->msal->dt_gen2_powerbi_utility) (1.1.0)

 

Also in the console it printed below error message 

"Failed to assign monitoring configuration to ActiveGate. Reason:"

But no Reason was provided.

All worked locally with the VSCODE extension but failed during the activation.

Any help would be highly appreciated.

 

Thanks

0 REPLIES 0

Featured Posts